FROM ailens-registry.knowledgelens.com:9084/repository/kl-docker-repo/ilens/ilens-openvino-base:v1
#FROM flare-detection-pytorch:v2.0
RUN rm -rf /var/lib/apt/lists/* && rm -rf /root/.cache/pip/
RUN apt-get update
RUN apt-get install -y libsm6 libxext6 libxrender-dev ffmpeg
RUN pip3 install minio requests cachetools pymongo~=3.10.1 wincertstore==0.2 opencv-contrib-python==4.2.0.34 matplotlib certifi==2020.6.20 imutils
ADD . /app
WORKDIR /app
RUN pip3 install edge_engine-1.0.0a0-py3-none-any.whl
CMD ["bash","app.sh"]